PUT /api/v202104/bill/distributeAccountCharges

Distributes account-level charges proportionally to meters on each bill

DistributeAccountChargesToMetersV202104 Permissions: BillsAndBatches (Edit)
Use this endpoint to allocate account-level charges across the bill’s meters proportionally by use or cost (depending on the split basis). Maximum of 10,000 bills can be processed at one time. Triggers clean bill processing after distribution.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

DistributeAccountChargesToBillsRequestV202104
Property Description Type
billIds Bill IDs for which account charges will be proportionally distributed to the meters Cannot be Empty Required (defined) integer[]
splitBasis Determines if account charges should be assigned proportionally based on the usage values of each meter or based on the bill cost from each meter. If not provided, defaults to “Usage”. One of ‘Usage’, ‘Cost’, ‘’ Case sensitive Required (defined) integer (int32)
Example Request Body application/json
{  "billIds": [
    1
  ],  "splitBasis": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}